Subject: Re: linux-next: Tree for Oct 25

From: Stephen Rothwell <[email-masked]>
Date: Thu, 28 Oct 2021 23:48:46 +1100

Hi Xianting,

On Thu, 28 Oct 2021 15:59:02 +0800 Xianting Tian <[email-masked]> wrote:
>
> 在 2021/10/28 下午12:51, Stephen Rothwell 写道:
> > Hi Xianting,
> >
> > On Thu, 28 Oct 2021 09:51:00 +0800 Xianting Tian <[email-masked]> wrote:  
> >> 在 2021/10/27 下午7:42, Stephen Rothwell 写道:  
> >>> Hi all,
> >>>
> >>> On Mon, 25 Oct 2021 20:49:21 +1100 Stephen Rothwell <[email-masked]> wrote:  
> >>>> There seems to be something amiss with cnosole output in today's release
> >>>> (at least on my ppc qemu boot tests).  
> >>> The console output seems to be back today.  I assume its repair had
> >>> something to do with commit
> >>>
> >>>     60f41e848492 ("Revert "tty: hvc: pass DMA capable memory to put_chars()"")  
> >>>   >> hi Stephen，  
> >>
> >> Thanks for the info, Could you share more details about the issue you met? is it about early console print issue?
> >>  
> > Here is the diff between my boot logs:  
> thanks, I checked the log, Can I understand it as you missed some early bootup log  when use new release?

yes, the console messages stopped for a while when we switched from the
bootconsole to the final hvc0 console.

> > @@ -124,81 +124,9 @@
> >    clocksource: timebase mult[1f40000] shift[24] registered
> >    Console: colour dummy device 80x25
> >    printk: console [hvc0] enabled
> > - printk: console [hvc0] enabled
> > - printk: bootconsole [udbg0] disabled
> >    printk: bootconsole [udbg0] disabled
> > - pid_max: default: 32768 minimum: 301
> > - Mount-cache hash table entries: 8192 (order: 0, 65536 bytes, linear)
> > - Mountpoint-cache hash table entries: 8192 (order: 0, 65536 bytes, linear)
	.
	.
	.
-- 
Cheers,
Stephen Rothwell